Loading...
Searching...
No Matches
gtsam::traits< double > Struct Reference

## Detailed Description

double

Inheritance diagram for gtsam::traits< double >:

## Additional Inherited Members

Static Public Member Functions inherited from gtsam::internal::ScalarTraits< double >
static void | Print (double m, const std::string &str="")
static bool | Equals (double v1, double v2, double tol=1e-8)
static TangentVector | Logmap (double m, ChartJacobian H=boost::none)
static double | Expmap (const TangentVector &v, ChartJacobian H=boost::none)
static TangentVector | Local (double origin, double other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static double | Retract (double origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static double | Identity ()
Static Public Member Functions inherited from gtsam::internal::VectorSpaceImpl< double, 1 >
static TangentVector | Logmap (const double &m, ChartJacobian Hm=boost::none)
static double | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static double | Compose (const double &v1, const double &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static double | Between (const double &v1, const double &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static double | Inverse (const double &v, ChartJacobian H=boost::none)
static int | GetDimension (const double &)
static TangentVector | Local (const double &origin, const double &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static double | Retract (const double &origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
Public Types inherited from gtsam::internal::ScalarTraits< double >
typedef vector_space_tag | structure_category
enum |
typedef double | ManifoldType
typedef Eigen::Matrix< double, 1, 1 > | TangentVector
typedef OptionalJacobian< 1, 1 > | ChartJacobian
typedef additive_group_tag | group_flavor
typedef Eigen::Matrix< double, N, 1 > | TangentVector
typedef OptionalJacobian< N, N > | ChartJacobian
typedef Eigen::Matrix< double, N, N > | Jacobian

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/VectorSpace.h